%global transfig_ver 3.2.5
%global momorel 2

Summary: An X Window System tool for drawing basic vector graphics.
Name: xfig
Version: 3.2.5
Release: %{momorel}m%{?dist}
Group: Applications/Engineering
License: see "README"
URL: http://www.xfig.org/
Source0: http://www.xfig.org/software/xfig/%{version}/xfig.%{version}.full.tar.gz
NoSource: 0
Source1: xfig.png
Source2: xfig.desktop
Patch0: xfig-3.2.4-redhat.patch
Patch2: xfig-3.2.5-mkstemp.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPreReq: imake
BuildRequires: Xaw3d-devel, libpng-devel, libjpeg-devel
BuildRequires: libICE-devel, libSM-devel, libX11-devel, libXext-devel
BuildRequires: libXi-devel, libXmu-devel, libXpm-devel, libXt-devel
BuildPrereq: desktop-file-utils
Requires: transfig >= %{transfig_ver}
Requires: xpdf
Requires: ImageMagick
Requires: aspell
Requires: htmlview

%description
Xfig is an X Window System tool for creating basic vector graphics,
including bezier curves, lines, rulers and more.  The resulting
graphics can be saved, printed on PostScript printers or converted to
a variety of other formats (e.g., X11 bitmaps, Encapsulated
PostScript, LaTeX).

You should install xfig if you need a simple program to create vector
graphics.

%prep
%setup -q -n xfig.%{version}
%patch0 -p1 -b .redhat
%patch2 -p1 -b .mkstemp

%build
xmkmf
ln -nfs Doc/xfig.man xfig.man
make DOCDIR=%{_docdir} XFIGDOCDIR=%{_docdir}/%{name}-%{version}

%install
rm -rf --preserve-root %{buildroot}

make DESTDIR=%{buildroot} DOCDIR=%{_docdir} XFIGDOCDIR=%{_docdir}/%{name}-%{version} install install.all

mkdir -p %{buildroot}%{_datadir}/pixmaps
install -m 644 %{SOURCE1} %{buildroot}%{_datadir}/pixmaps

mkdir -p %{buildroot}%{_mandir}/man1
mv -f %{buildroot}%{_prefix}/local/xfig/man/xfig.1x %{buildroot}%{_mandir}/man1
rm -rf %{buildroot}%{_prefix}/local/

mkdir -p %{buildroot}%{_datadir}/applications/
install -m 644 %{SOURCE2} %{buildroot}/%{_datadir}/applications/xfig.desktop

rm %{buildroot}/usr/lib*/X11/app-defaults

find %{buildroot}%{_datadir}/doc/xfig-%{version}/html -type d |xargs chmod 755
find %{buildroot}%{_datadir}/doc/xfig-%{version}/html -type f |xargs chmod 644
find %{buildroot}%{_prefix}/lib/X11/xfig/Libraries -type d |xargs chmod 755
find %{buildroot}%{_prefix}/lib/X11/xfig/Libraries -type f |xargs chmod 644

%clean
rm -rf --preserve-root %{buildroot}

%files
%defattr(-,root,root)
%docdir %{_docdir}/%{name}-%{version}
%doc %{_docdir}/%{name}-%{version}/*
%{_bindir}/*
%{_prefix}/lib/X11/%{name}/*
%{_mandir}/*/*
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/X11/app-defaults/*
%{_datadir}/applications/*

%changelog
* Tue Jul 10 2007 Ryu SASAOKA <ryu@momonga-linux.org>
- (3.2.5-2m)
- fix file & dir permission

* Sat Jun 02 2007 Masayuki SANO <nosanosa@momonga-linux.org>
- (3.2.5-1m)
- update to 3.2.5

* Sun May 28 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (3.2.4-9m)
- delete %%{_libdir}/X11/app-defaults (old behavior)

* Tue Mar 28 2006 Ryu SASAOKA <ryu@momonga-linux.org>
- (3.2.4-8m)
- revised BuildRequire
- %%{_libdir}/X11 -> %%{_prefix}/lib/

* Sat Mar 25 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (3.2.4-7m)
- revise for xorg-7.0
- change install dir

* Wed Nov  9 2005 Yohsuke Ooi <meke@momonga-linux.org>
- (3.2.4-6m)
- add gcc4 patch.
- Patch3: xfig.3.2.4-cleanup.patch

* Mon Jan 10 2005 TABUCHI Takaaki <tab@momonga-linux.org>
- (3.2.4-5m)
- rebuild against Xaw3d 1.5E

* Mon Aug 30 2004 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (3.2.4-4m)
- build against kernel-2.6.8

* Sun Mar 28 2004 Toru Hoshina <t@momonga-linux.org>
- (3.2.4-3m)
- revised spec for rpm 4.2.

* Sat Oct 25 2003 Ryu SASAOKA <ryu@momonga-linux.org>
- (3.2.4-2m)
- adapt the License: preamble for the Momonga Linux license
  expression unification policy (draft)

* Wed Feb 26 2003 Kenta MURATA <muraken2@nifty.com>
- (3.2.4-1m)
- first spec file.
